UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Set a field value in a message by field index to an array field

## Functions
LBMSDMExpDLL int | lbmsdm_msg_set_boolean_array_idx (lbmsdm_msg_t *Message, size_t Index)
| Set a field in a message by field index to an array field. More...
LBMSDMExpDLL int | lbmsdm_msg_set_int8_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_uint8_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_int16_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_uint16_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_int32_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_uint32_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_int64_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_uint64_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_float_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_double_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_decimal_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_timestamp_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_message_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_string_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_unicode_array_idx (lbmsdm_msg_t *Message, size_t Index)
LBMSDMExpDLL int | lbmsdm_msg_set_blob_array_idx (lbmsdm_msg_t *Message, size_t Index)

## Detailed Description

The functions in this group allow the type of the field to be set to an array type, for a field referenced by field index.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_set_blob_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_boolean_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

Set a field in a message by field index to an array field.

Parameters

  Message | The SDM message containing the field.
  Index | Field index.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_set_decimal_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_double_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_float_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int16_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int32_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int64_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int8_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_message_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_string_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_timestamp_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint16_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint32_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint64_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint8_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_unicode_array_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.